Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OptEnv Struct Reference

## Data Fields
MinMaxLen | mmd
OnigEncoding | enc
OnigOptionType | options
OnigCaseFoldType | case_fold_flag
ScanEnv * | scan_env

## Detailed Description

Definition at line 4301 of file regcomp.c.

## Field Documentation

OnigCaseFoldType OptEnv::case_fold_flag

Definition at line 4305 of file regcomp.c.

Referenced by optimize_node_left(), and set_optimize_info_from_tree().

OnigEncoding OptEnv::enc

Definition at line 4303 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), alt_merge_opt_exact_info(), optimize_node_left(), and set_optimize_info_from_tree().

MinMaxLen OptEnv::mmd

Definition at line 4302 of file regcomp.c.

Referenced by optimize_node_left(), and set_optimize_info_from_tree().

OnigOptionType OptEnv::options

Definition at line 4304 of file regcomp.c.

Referenced by optimize_node_left(), and set_optimize_info_from_tree().

ScanEnv* OptEnv::scan_env

Definition at line 4306 of file regcomp.c.

Referenced by optimize_node_left(), and set_optimize_info_from_tree().

The documentation for this struct was generated from the following file:

- regcomp.c